#
#  Copyright (c) 2012, Texas Instruments Incorporated
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
#  Examples for various platforms.  This is a comprehensive list of examples
#  for the supported platforms. This file is included by the makefile at the
#  root of the examples directory.  You can comment out examples for your
#  device that you do not want to build.
#

example_apps :=

ifeq ("$(DEVICE)","TI816X")
    example_apps += TI816X_linux_elf/ex01_universalcopy_linux_local
    example_apps += TI816X_linux_elf/ex01_universalcopy_remote

    example_apps += TI816X_bios_elf/ex01_universalcopy_bios_dsp
    example_apps += TI816X_bios_elf/ex01_universalcopy_bios_video
    example_apps += TI816X_bios_elf/ex01_universalcopy_bios_vpss

else ifeq ("$(DEVICE)","TI814X")
    example_apps += TI814X_linux_elf/ex01_universalcopy_linux_local
    example_apps += TI814X_linux_elf/ex01_universalcopy_remote

    example_apps += TI814X_bios_elf/ex01_universalcopy_bios_dsp
    example_apps += TI814X_bios_elf/ex01_universalcopy_bios_video
    example_apps += TI814X_bios_elf/ex01_universalcopy_bios_vpss

else ifeq ("$(DEVICE)","TI811X")
    example_apps += TI811X_linux_elf/ex01_universalcopy_linux_local
    example_apps += TI811X_linux_elf/ex01_universalcopy_remote

    example_apps += TI811X_bios_elf/ex01_universalcopy_bios_dsp

else ifeq ("$(DEVICE)","OMAP3530")
    example_apps += OMAP3530_linux_elf/ex01_universalcopy_linux_local
    example_apps += OMAP3530_linux_elf/ex01_universalcopy_remote

    example_apps += OMAP3530_bios_elf/ex01_universalcopy_bios_dsp

else ifeq ("$(DEVICE)","C6472")
ifneq (,$(ti.targets.elf.C64P))
    example_apps += C6472_bios_elf/ex01_universalcopy_bios_core0
    example_apps += C6472_bios_elf/ex01_universalcopy_bios_remote
else ifneq (,$(ti.targets.C64P))
    example_apps += C6472_bios_coff/ex01_universalcopy_bios_core0
    example_apps += C6472_bios_coff/ex01_universalcopy_bios_remote
endif

else ifeq ("$(DEVICE)","C6678")
    example_apps += C6678_bios_elf/ex01_universalcopy_bios_core0
    example_apps += C6678_bios_elf/ex01_universalcopy_bios_remote

else ifeq ("$(DEVICE)","C6A8149")
    example_apps += C6A8149_bios_elf/ex01_universalcopy_bios_dsp

endif



